/*******************************************************************************
**      userio.h -- Tattletale Model 8 User I/O Interface Function Prototypes
**
**      Copyright (C) 1991-94 ONSET Computer Corp.  --jhg               All rights reserved.
**
**      Saturday, January 26, 1991
*******************************************************************************/

#define TRUE 1
#define FALSE 0
typedef char *ptr;

short    QueryDateTime(ptr prompt, short defTime, struct tm *tm);
short    QueryYesNo(ptr prompt, short defYes);
short    QueryChar(ptr prompt, short defChar, ptr scanSet, char *reply);
short    QueryNum(ptr prompt, ptr defFmt, ptr scanFmt, ulong *value);
short    QueryFloat(ptr prompt, ptr defFmt, ptr scanFmt, float *value);
short    InputLine(ptr linebuf, short linelen);
short    kbhit();
short    kbflush();

